/************** COLLECTION **************/
.test {
  height: 100vh;
  background-color: red;
}

.logo-coll {
  width: 400px;
}
.collection h2 {
  margin-bottom: 0px;
  margin-top: 5%;
}
.collection {
  position: relative;
  height: 100vh;
  overflow: hidden;
}

.collection-inner {
  display: flex;
  height: 100%;
}

.col-right {
  flex: 0 0 33.333%;
}

/* gauche */
.col-left {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding-left: 5%;
  flex: 0 0 33.333%;
}
.col-center {
  flex: 0 0 33.333%;
  display: flex;
  padding-right: 40px;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-end;
  text-align: end;
}

.text-collection p {
  margin: 0 0 0.5rem;
}

/* droite : 2 colonnes verticales */
.col-right {
  display: flex;
  gap: 0.5rem;
  overflow: hidden; /* masque le dépassement des images */
  align-items: flex-start;
  flex: 0 0 66.66%;
  padding-left: 40px;
}

.coll {
  flex: 0 0 33.33%;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.coll img {
  width: 100%;
  height: auto;
  display: block;
  flex-shrink: 0; /* évite les rétrécissements */
}

.text-collection {
  margin-bottom: 2rem;
  font-style: italic;
  text-transform: uppercase;
  font-weight: bold;
}

.cls-1 {
  stroke-width: 5px;
}

.cls-1,
.cls-2 {
  fill: none;
  stroke:var(--vert);
  stroke-miterlimit: 10;
}

.cls-2 {
  stroke-width: 8px;
}

/* VERSION MOBILE */
@media (max-width: 768px) {
  .collection {
    height: auto;
  }

  .collection-inner {
    flex-direction: column;
  }
  .logo-coll {
    width: 300px;
  }

  /* Col-left avec texte : 100vh */
  .col-left {
    flex: 0 0 auto;
    height: 500px;
    width: 100%;
    padding: 5%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
  /* Col-right avec images : 80vh */
  .col-right {
    flex: 0 0 100vh;
    height: 100vh;
    width: 100%;
    gap: 0.5rem;
    padding: 0 1rem;
  }

  .logo-collection {
    width: 300px;
  }
   .coll-3 {
    display: none;
  }
  
  .coll {
    flex: 0 0 50%; /* 50% chacune au lieu de 33.33% */
  }
}
